# smeshDC.smeshDC Class Reference

Inheritance diagram for smeshDC.smeshDC:

## Public Member Functions
def | init_smesh
def | Mesh
def | EnumToLong
| Returns long value from enumeration Uses for SMESH.FunctorType enumeration.
def | GetPointStruct
| Get PointStruct from vertex.
def | GetDirStruct
| Get DirStruct from vector.
def | GetAxisStruct
| Get AxisStruct from object.
def | SetEmbeddedMode
| Set the current mode.
def | IsEmbeddedMode
| Get the current mode.
def | SetCurrentStudy
| Set the current study.
def | GetCurrentStudy
| Get the current study.
def | CreateMeshesFromUNV
| Create Mesh object importing data from given UNV file.
def | CreateMeshesFromMED
| Create Mesh object(s) importing data from given MED file.
def | CreateMeshesFromSTL
| Create Mesh object importing data from given STL file.
def | GetSubShapesId
| From SMESH_Gen interface.
def | GetPattern
| From SMESH_Gen interface.
def | GetEmptyCriterion
| Creates an empty criterion.
def | GetCriterion
| Creates a criterion by given parameters.
def | GetFilter
| Creates filter by given parameters of criterion.
def | GetFunctor
| Creates numerical functor by its type.
## Data Fields
| geompyD

## Member Function Documentation

def smeshDC.smeshDC.init_smesh | ( |  | self,
|  |  | theStudy,
|  |  | geompyD |
| ) |  |  |

def smeshDC.smeshDC.Mesh | ( |  | self,
|  |  | obj = `0`,
|  |  | name = `0` |
| ) |  |  |

def smeshDC.smeshDC.EnumToLong | ( |  | self,
|  |  | theItem |
| ) |  |  |

def smeshDC.smeshDC.GetPointStruct | ( |  | self,
|  |  | theVertex |
| ) |  |  |

Parameters:

  | theVertex | is GEOM object(vertex)

Returns:
  SMESH.PointStruct

def smeshDC.smeshDC.GetDirStruct | ( |  | self,
|  |  | theVector |
| ) |  |  |

Parameters:

  | theVector | is GEOM object(vector)

Returns:
  SMESH.DirStruct

def smeshDC.smeshDC.GetAxisStruct | ( |  | self,
|  |  | theObj |
| ) |  |  |

Parameters:

  | theObj | is GEOM object(line or plane)

Returns:
  SMESH.AxisStruct

def smeshDC.smeshDC.SetEmbeddedMode | ( |  | self,
|  |  | theMode |
| ) |  |  |

def smeshDC.smeshDC.IsEmbeddedMode | ( |  | self | ) |

def smeshDC.smeshDC.SetCurrentStudy | ( |  | self,
|  |  | theStudy |
| ) |  |  |

def smeshDC.smeshDC.GetCurrentStudy | ( |  | self | ) |

def smeshDC.smeshDC.CreateMeshesFromUNV | ( |  | self,
|  |  | theFileName |
| ) |  |  |

Returns:
  an instance of Mesh class

def smeshDC.smeshDC.CreateMeshesFromMED | ( |  | self,
|  |  | theFileName |
| ) |  |  |

Returns:
  a list of Mesh class instances

def smeshDC.smeshDC.CreateMeshesFromSTL | ( |  | self,
|  |  | theFileName |
| ) |  |  |

Returns:
  an instance of Mesh class

def smeshDC.smeshDC.GetSubShapesId | ( |  | self,
|  |  | theMainObject,
|  |  | theListOfSubObjects |
| ) |  |  |

def smeshDC.smeshDC.GetPattern | ( |  | self | ) |

Creates pattern

def smeshDC.smeshDC.GetEmptyCriterion | ( |  | self | ) |

Returns:
  SMESH.Filter.Criterion

def smeshDC.smeshDC.GetCriterion | ( |  | self,
|  |  | elementType,
|  |  | CritType,
|  |  | Compare = `FT_EqualTo`,
|  |  | Treshold = `""`,
|  |  | UnaryOp = `FT_Undefined`,
|  |  | BinaryOp = `FT_Undefined` |
| ) |  |  |

Parameters:

  | elementType | is the type of elements(NODE, EDGE, FACE, VOLUME)
  | CritType | is type of criterion( FT_Taper, FT_Area, FT_RangeOfIds, FT_LyingOnGeom etc. )
  | Compare | belong to {FT_LessThan, FT_MoreThan, FT_EqualTo}
  | Treshold | is threshold value (range of ids as string, shape, numeric)
  | UnaryOp | is FT_LogicalNOT or FT_Undefined
  | BinaryOp | is binary logical operation FT_LogicalAND, FT_LogicalOR or FT_Undefined(must be for the last criterion in criteria)

Returns:
  SMESH.Filter.Criterion

def smeshDC.smeshDC.GetFilter | ( |  | self,
|  |  | elementType,
|  |  | CritType = `FT_Undefined`,
|  |  | Compare = `FT_EqualTo`,
|  |  | Treshold = `""`,
|  |  | UnaryOp = `FT_Undefined` |
| ) |  |  |

Parameters:

  | elementType | is the type of elements in the group
  | CritType | is type of criterion( FT_Taper, FT_Area, FT_RangeOfIds, FT_LyingOnGeom etc. )
  | Compare | belong to {FT_LessThan, FT_MoreThan, FT_EqualTo}
  | Treshold | is threshold value (range of id ids as string, shape, numeric)
  | UnaryOp | is FT_LogicalNOT or FT_Undefined

Returns:
  SMESH_Filter

def smeshDC.smeshDC.GetFunctor | ( |  | self,
|  |  | theCriterion |
| ) |  |  |

Parameters:

  | theCrierion | is FT_...; functor type

Returns:
  SMESH_NumericalFunctor

## Field Documentation

smeshDC.smeshDC.geompyD